4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.GenerateL10n

Classes: Extractor, GenerateL10n |  |  |  | Globals: POT_HEADER

## Classes

class Extractor

  ### Methods

  __call__(self, ttype, tstring, stup, etup, line)
  __init__(self, excludedStrings=None, keywords=None, docstrings=0)
  get_messages(self)
  process(self, filename)
class GenerateL10n(distutils.cmd.Command)

  ### Methods

  extract_messages(self, filenames)
  finalize_options(self)
    Overrides: finalize_options from class Command
  get_outputs(self)
  get_pot_filename(self)
  get_sources(self)
  initialize_options(self)
    Overrides: initialize_options from class Command
  run(self)
    Overrides: run from class Command
  write_catalog(self, messages)

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['force']
  command_name = 'generate_l10n'
  description = 'extract translatable strings from source'
  user_options = [('force', 'f', 'force locale generatation (overwrite existing files)')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands

## Globals

POT_HEADER = '# %(name)s LANGUAGE message catalog\n# Copyright ...ING\\n"\n"Generated-By: %(module)s %(version)s\\n"\n\n'